# SIG Build Charter

This charter adheres to the Roles and Organization Management specified in [sig-governance].
 Team information may be found in the [readme.md]

## Overview of SIG

Two concise lines explaining what this SIG does with bullet points of the major responsibilities

- Responsibility

## Goals

- Major goals that SIG seeks to generally achieve

## Scope

- In charge of tech for project building systems (not cmake exclusive)
- Determine version of build tools to be used
- Maintain guidelines on how cmake scripts are built

- Determine and maintain build script dependencies (local or infrastructure)
- Determine and maintain infrastructure software systems (jenkins instaces, Github)
- Determine and maintain build farms (cloud or physical server) instances that execute build system automation code
- Determine and maintain LFS services for large asset stores
- Determine and maintain source control systems
- Build 3rd party gems and assemble libraries for distribution
- Build required 3rd party library dependencies (Qt/etc)
- Enable / disable malfunctioning build scripts and automation

## In scope

- Maintain previously accepted build scripts
- PR build scripts to be accepted from pull requests
- Define and maintain contribution guide for build and automation scripts
- Communicate to Technical Steering Committee and Governing Board for cost related services related to build operation

## Cross-cutting Processes

- Maintain automation software tools for code review acceptance (make sure GitHub is doing what it needs to or add to it, prevalidation checks)
- Maintain automation review for pull requests
- Maintain infrastructure of get/send for 3rd party gems and assets
- Triage and communicate with SIGs for malfunctioning build and automation scripts

## Out of Scope

- CMake scripts responsiblity of SIG creating feature
- Do not make decisions on acceptance of pull requests (handled by each SIG)
- Maintain code for gems and ensure compatibility and operability with project
- Maintain any externally connected systems to O3DE project (Jira/etc).
- Not responsible for malfunctioning build or automation scripts
- Not responsible for maintaining review automation tests.

- Items that are optional or are not the responsibility of this SIG.

## SIG Links and lists:

- Joining this SIG
- Slack/Discord
- Mailing list
- Issues/PRs
- Meeting agenda & Notes

## Roles and Organization Management

SIG Docs adheres to the standards for roles and organization management as specified by <sig-governance>. This SIG opts in to updates and modifications to <sig-governance>

## Individual Contributors

Additional information not found in the sig-governance related to contributors.

## Maintainers

Additional information not found in the sig-governance related to contributors

## Additional responsibilities of Chairs

Additional information not found in the sig-governance related to SIG Chairs

## Subproject Creation

Additional information not found in the sig-governance related to subproject creation

## Deviations from sig-governance

Explicit Deviations from the sig-governance
